package org.jboss.cache.aop.collection;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jboss.cache.PropertyConfigurator;
import org.jboss.cache.transaction.DummyTransactionManager;
import org.jboss.cache.transaction.DummyUserTransaction;
import org.jboss.cache.aop.PojoCache;
import org.jboss.cache.aop.test.Address;

import java.util.Iterator;


/**
 * List interface testing with transaction control.
 * @author Scott Marlow
 */

public class CachedListAopTxTest extends TestCase
{
   Log log=LogFactory.getLog(CachedListAopTxTest.class);
   PojoCache cache_;


   public CachedListAopTxTest(String name)
   {
      super(name);
   }

   protected void setUp() throws Exception
   {
      super.setUp();
      log.info("setUp() ....");
      String configFile = "META-INF/cache-config.xml";
      cache_ = new PojoCache();
      PropertyConfigurator config = new PropertyConfigurator();
      config.configure(cache_, configFile); // read in generic replSync xml
      cache_.start();

   }

   protected void tearDown() throws Exception
   {
      super.tearDown();
      cache_.stop();
   }

   public void testDummy()
   {
      // No op now.  
   }

   public static Test suite() throws Exception
   {
      return new TestSuite(CachedListAopTxTest.class);
   }

   public static void main(String[] args) throws Exception
   {
      junit.textui.TestRunner.run(suite());
   }

}


